Subject: bug#35389: 27.0.50; [PATCH] Emacs on macOS sets mouse-wheel variables directly

From: Tak Kunihiro <[email-masked]>
Date: Sat, 18 May 2019 17:50:58 +0900

>>>> Value (1 ((shift) . 1) ((control))) isn't as useful as value (1 ((shift)
>>>> . 5) ((control))), is it?
>>>
>>> The values can be floats, not just integers.
>> 
>> True.  However, scrolling with float value is relative to number of
>> lines in a screen.
>
> Granted, I know that.  However, since Emacs knows the size of the
> screen, it could compute the equivalent of lines in screen units.  And
> even if not, the approximate size of today's windows is known in
> advance, and what's important (to me) is to keep the slowing-down
> effect of Shift, even if it slows down by a different ratio.

To maintain relationship that is to scroll less on Shift, scroll with
Shift should be 3 pixel when scroll without Shift is 1 line (15 pixel).
I thought it is not possible to do even using float value.